{
  "name": "@springfield/baofeng-driver",
  "version": "5.0.4",
  "description": "Baofeng ham radio driver.",
  "author": "Bryan Hunt",
  "license": "MIT",
  "readme": "README.md",
  "packageManager": "yarn@4.6.0",
  "type": "module",
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "files": [
    "src/",
    "dist/",
    "assets/"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/springfield-ham-radio/baofeng-driver.git"
  },
  "bugs": {
    "url": "https://gitlab.com/springfield-ham-radio/baofeng-driver/issues"
  },
  "homepage": "https://gitlab.com/springfield-ham-radio/baofeng-driver#readme",
  "scripts": {
    "build": "tsc",
    "import": "tsx src/debug/import.ts",
    "list": "tsx src/debug/list-serial.ts",
    "commitlint": "commitlint --edit",
    "release": "semantic-release",
    "prepare": "husky"
  },
  "release": {
    "branches": [
      "main",
      {
        "name": "beta",
        "prerelease": true
      }
    ],
    "plugins": [
      [
        "@semantic-release/commit-analyzer",
        {
          "preset": "conventionalcommits"
        }
      ],
      [
        "@semantic-release/release-notes-generator",
        {
          "preset": "conventionalcommits"
        }
      ],
      "@semantic-release/changelog",
      "semantic-release-yarn",
      "@semantic-release/gitlab",
      "@semantic-release/git"
    ]
  },
  "publishConfig": {
    "access": "public"
  },
  "dependencies": {
    "@commitlint/cli": "^19.7.1",
    "@commitlint/config-conventional": "^19.7.1",
    "@semantic-release/changelog": "^6.0.3",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^13.2.4",
    "@serialport/parser-byte-length": "^12.0.0",
    "@springfield/ham-radio-api": "2.0.0",
    "@springfield/ham-radio-driver-utils": "^3.0.0",
    "husky": "^9.1.7",
    "loglayer": "^4.8.0",
    "semantic-release": "23.1.1",
    "semantic-release-yarn": "^3.0.2",
    "serialport": "^12.0.0"
  },
  "devDependencies": {
    "serialize-error": "11.0.3",
    "tsx": "4.19.3",
    "typescript": "5.7.3",
    "winston": "3.17.0"
  }
}
